- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Namespaces | Macros | Functions
MSPUBCollector.cpp File Reference
`#include <math.h>`
`#include <unicode/ucsdet.h>`
`#include "MSPUBCollector.h"`
`#include "libmspub_utils.h"`
`#include "MSPUBConstants.h"`
`#include "MSPUBTypes.h"`
`#include "PolygonUtils.h"`
`#include "Coordinate.h"`

## Namespaces
| libmspub

## Macros
#define | M_PI 3.14159265358979323846

## Functions
Coordinate | libmspub::getFudgedCoordinates (Coordinate coord, const std::vector< Line > &lines, bool makeBigger, BorderPosition borderPosition)
void | libmspub::noop (const CustomShape *)
void | libmspub::no_op ()
void | libmspub::endShapeGroup (librevenge::RVNGDrawingInterface *painter)

## Macro Definition Documentation

#define M_PI 3.14159265358979323846

Referenced by libmspub::MSPUBCollector::getCalculationValue(), libmspub::MSPUBCollector::paintShape(), and libmspub::MSPUBCollector::setupShapeStructures().